# Uses of Class
serp.bytecode.StoreInstruction

Packages that use StoreInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of StoreInstruction in serp.bytecode

Methods in serp.bytecode that return StoreInstruction
Modifier and Type
Method
Description
`StoreInstruction`
Code.`astore()`
Store an object value from the stack into a local variable.
`StoreInstruction`
Code.`dstore()`
Store a double value from the stack into a local variable.
`StoreInstruction`
Code.`fstore()`
Store a float value from the stack into a local variable.
`StoreInstruction`
Code.`istore()`
Store an int value from the stack into a local variable.
`StoreInstruction`
Code.`lstore()`
Store a long value from the stack into a local variable.
`StoreInstruction`
Code.`xstore()`
Store a value from the stack into a local variable.

## Uses of StoreInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type StoreInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterStoreInstruction(StoreInstruction obj)`
`void`
PrettyPrintVisitor.`enterStoreInstruction(StoreInstruction obj)`
`void`
BCVisitor.`exitStoreInstruction(StoreInstruction obj)`